# Auto Report

This directory contains the template of the automatic report generated after a Driverless AI experiment completes.  

## Goal

The goal of the Automatic Report is to provide Driverless AI users with an understanding of the steps Driverless AI took to build their final model.  The audience is expected to be Data Scientists or Junior Data Scientists. 

The larger Automatic Documentation project has been split up into 3 types of documentation (see: <https://github.com/h2oai/h2oai/issues/3141>).  The Automatic Report is the most simple and shortest version.  **The Automatic Report is not meant for a regulatory audience.**

The Automatic Report should provide: 

* a glimpse into the experiment pipeline
* a method for learning about the techniques Driverless AI employs
* documentation of their model for reference


## Roadmap

| Feature | alpha.v0 | alpha.v1 | alpha.v2 |alpha.v3 | | 
|---------|:--------:|:--------:|:--------:|:--------:|:--------:|
|         | *June-2018* | *Sep-2018* | *Date TBD* | *Date TBD* | Release Version |
| [Experiment Overview Section](https://github.com/h2oai/h2oai/issues/3305) | X | X | X | X | 1.2.0 |
| [Data Overview Section](https://github.com/h2oai/h2oai/issues/3305) | X | X | X | X | 1.2.0 | 
| [Methodology Section](https://github.com/h2oai/h2oai/issues/3305) | X | X | X | X | 1.2.0 | 
| [Validation Strategy Section](https://github.com/h2oai/h2oai/issues/3305) | X | X | X | X | 1.2.0 | 
| [Model Tuning Section](https://github.com/h2oai/h2oai/issues/3305) | X | X | X | X | 1.2.0 | 
| [Feature Transformation Section](https://github.com/h2oai/h2oai/issues/3305) | X | X | X | X | 1.2.0 | 
| [Feature Evolution Section](https://github.com/h2oai/h2oai/issues/3305) | X | X | X | X | 1.2.0 | 
| [Deployment Section](https://github.com/h2oai/h2oai/issues/3305) | X | X | X | X | 1.2.0 | 
| [PDF Version of AutoReport](https://github.com/h2oai/h2oai/issues/3711) | X | X | X | X | 1.2.0 | 
| [Add Transformation Examples](https://github.com/h2oai/h2oai/issues/3461) | | X | X | X | | 
| [Add Prediction Analysis](https://github.com/h2oai/h2oai/issues/3463) | |X | X | X | |  
| [Add Threshold Optimization Table](https://github.com/h2oai/h2oai/issues/3495) | | X | X | X | | 
| [Generate Shift Detection Visualization](https://github.com/h2oai/h2oai/issues/3460) | | X | X | X | | 
| [Give AutoReport its Own Button](https://github.com/h2oai/h2oai/issues/3897) | | X | X | X |  | 
| [Add Time Series Visualizations](https://github.com/h2oai/h2oai/issues/3901) | | | X | X | | 
| [Provide Theory Behind Algorithms](https://github.com/h2oai/h2oai/issues/3462) | | | X | X | | 
| [Add MLI Information](https://github.com/h2oai/h2oai/issues/3904) | | | | X | |  
| [Add Autovis Information](https://github.com/h2oai/h2oai/issues/3903) | | | | X| |  


* Roadmap can be downloaded in excel: [Roadmap Excel](./AutoReportRoadMap.xlsx)


## References

* [AutoReport Project](https://github.com/h2oai/h2oai/projects/11?card_filter_query=label%3Aautoreport)
